#include <stdio.h>

int main()
{
    int N;
    scanf("%i", &N);
    
    int resenje=0;
    
    int X[N], Y[N], Z[N];
    for(int i=0; i<N; i++){
        scanf("%i", &X[i]);
    }
    
    for(int j=0; j<N; j++){
        scanf("%i", &Y[j]);
    }
    
    for(int k=0; k<N; k++){
        scanf("%i", &Z[k]);
    }
    
    
    for(int i=0; i<N; i++)
        for(int j=0; j<N; j++)
            if(X[i]==Y[j])
                for(int k=0; k<N; j++)
                    if(Z[k]==j) resenje++;
    
    printf("%i", resenje);

    return 0;
}